### Method

# GLib StaticRWLock writer_lock

deprecated: 2.32

#### Declaration

    void
    g_static_rw_lock_writer_lock (
      GStaticRWLock* lock
    )

#### Description

Locks `lock` for writing. If `lock` is already locked for writing or reading by other threads, this function will block until `lock` is completely unlocked and then lock `lock` for writing. While this functions waits to lock `lock`, no other thread can lock `lock` for reading. When `lock` is locked for writing, no other thread can lock `lock` (neither for reading nor writing). This lock has to be unlocked by g_static_rw_lock_writer_unlock().

Deprecated since: 2.32

Use `g_rw_lock_writer_lock()` instead.

This method is not directly available to language bindings.